### Virtual Method

# Gegl MetadataStore generate_value

#### Declaration [src]

    gboolean
    generate_value (
      GeglMetadataStore* self,
      GParamSpec* pspec,
      GValueTransform transform,
      GValue* value
    )

#### Description [src]

This method is called to optionally generate a value to be written to and image file. If no generator is available it returns `FALSE` and the registered mapping is used. If a generator is available it should create a suitable value to be written to the image file and return `TRUE`. The default method checks if a signal handler is registered for the generate-value signal with the variable name as the detail parameter. If a handler is registered it emits the signal with an initialised `GValue` to receive the file metadata and returns `TRUE` otherwise `FALSE`. `parse_value` and `generate_value` are provided to handle the case where some file formats overload, for example, image comments. A typical case is formatting many values into a TIFF file’s ImageDescription field.

#### Parameters

`pspec`

  Type: `GParamSpec`

  No description available.

  The data is owned by the caller of the function.

`transform`

  Type: `GValueTransform`

  No description available.

`value`

  Type: `GValue`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

No description available.